Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.db
Interface Field

All Superinterfaces:
  DBObject

    public interface Field

extends DBObject

A `Field` is column of a table.

Field Summary
`static int` | `CALC_AVG` The constant indicating that a field has AVG calcuating mode.
`static int` | `CALC_COUNT` The constant indicating that a field has COUNT calcuating mode.
`static int` | `CALC_MAX` The constant indicating that a field has MAX calcuating mode.
`static int` | `CALC_MIN` The constant indicating that a field has MIN calcuating mode.
`static int` | `CALC_NONE` The constant indicating that a field has not a calcuating mode.
`static int` | `CALC_SUM` The constant indicating that a field has SUM calcuating mode.
`static int` | `DefaultAttributes` The constant of field's default attributes .
`static int` | `Identity` The constant indicating that a field is an identity field.
`static int` | `NotNull` The constant indicating that a field disallows `NULL` values.
`static int` | `PrimaryKey` The constant indicating that a field is a primary key.
`static int` | `Unique` The constant indicating that a field is an unique field.

Method Summary
`Field` | `createClone()` Clone a `Field`
`FieldValue` | `createFieldValue()` Generates `FieldValue` object and the value of the field fill in with field's default value.
`int` | `getCalculating()` Retrieves the calcuating mode of this field.
`java.lang.String` | `getDispName()` Gets the field's suggested title for use in printouts and displays.
`java.lang.String` | `getFullyQualifiedName()` Get the table name + field name.
`JDBCType` | `getJDBCType()` Retrieves the field's JDBC type.
`Table` | `getParentTable()` Retrieves the parent table of this field.
`int` | `getSize()` Get the field's size of string.
`java.lang.String` | `getTableName()` Gets the field's parent table name.
`boolean` | `isIdentity()` Indicates whether the field is an identity field.
`boolean` | `isNotNull()` Indicates whether the field disallows `NULL` values.
`boolean` | `isPrimaryKey()` Indicates whether the field is a primary key.
`boolean` | `isUnique()` Indicates whether the field is an unique field.

Methods inherited from interface jet.server.api.db.DBObject
`getName, getProperties, getProperty, getProperty, getUCName, setProperty`

Field Detail

### DefaultAttributes

    static final int DefaultAttributes

  The constant of field's default attributes .

  See Also:
    Constant Field Values

### NotNull

    static final int NotNull

  The constant indicating that a field disallows `NULL` values.

  See Also:
    Constant Field Values

### Identity

    static final int Identity

  The constant indicating that a field is an identity field.

  See Also:
    Constant Field Values

### Unique

    static final int Unique

  The constant indicating that a field is an unique field.

  See Also:
    Constant Field Values

### PrimaryKey

    static final int PrimaryKey

  The constant indicating that a field is a primary key.

  See Also:
    Constant Field Values

### CALC_NONE

    static final int CALC_NONE

  The constant indicating that a field has not a calcuating mode.

  See Also:
    Constant Field Values

### CALC_COUNT

    static final int CALC_COUNT

  The constant indicating that a field has COUNT calcuating mode.

  See Also:
    Constant Field Values

### CALC_SUM

    static final int CALC_SUM

  The constant indicating that a field has SUM calcuating mode.

  See Also:
    Constant Field Values

### CALC_AVG

    static final int CALC_AVG

  The constant indicating that a field has AVG calcuating mode.

  See Also:
    Constant Field Values

### CALC_MAX

    static final int CALC_MAX

  The constant indicating that a field has MAX calcuating mode.

  See Also:
    Constant Field Values

### CALC_MIN

    static final int CALC_MIN

  The constant indicating that a field has MIN calcuating mode.

  See Also:
    Constant Field Values

Method Detail

### getParentTable

    Table getParentTable()

  Retrieves the parent table of this field.

  Returns:
    the table instance.

### getJDBCType

    JDBCType getJDBCType()

  Retrieves the field's JDBC type.

  Returns:
    JDBCType from jet.server.api.dao.JDBCType

### getSize

    int getSize()

  Get the field's size of string.

  Returns:
    precision

### isNotNull

    boolean isNotNull()

  Indicates whether the field disallows `NULL` values.

  Returns:
    `true` if so; `false` otherwise

### isIdentity

    boolean isIdentity()

  Indicates whether the field is an identity field.

  Returns:
    `true` if so; `false` otherwise

### isUnique

    boolean isUnique()

  Indicates whether the field is an unique field.

  Returns:
    `true` if so; `false` otherwise

### isPrimaryKey

    boolean isPrimaryKey()

  Indicates whether the field is a primary key.

  Returns:
    `true` if so; `false` otherwise

### getCalculating

    int getCalculating()

  Retrieves the calcuating mode of this field.

  Returns:
    `int` indecates the calcuating mode.

### createFieldValue

    FieldValue createFieldValue()

  Generates `FieldValue` object and the value of the field fill in with field's default value.

  Returns:
    `FieldValue`

### getTableName

    java.lang.String getTableName()

  Gets the field's parent table name.

  Returns:
    the field's parent table name

### getDispName

    java.lang.String getDispName()

  Gets the field's suggested title for use in printouts and displays.

  Returns:
    the suggested column title

### getFullyQualifiedName

    java.lang.String getFullyQualifiedName()

  Get the table name + field name.

  Returns:
    A String with the full field name.

### createClone

    Field createClone()

  Clone a `Field`

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD